#!/bin/bash

##########################################################################################################################
# This will update plex libraries manually from the command line.                                                        #
# This will work on centos 7 but I can't make any guarantees about other OSes or platforms.                              #
# If you're running plex on mac os x or windows, get a real OS.                                                          #
#                                                                                                                        #
# The exports below are important because if you don't have all of them set, you will get no result when you go to list  #
#  ./Plex\ Media\ Scanner --list                                                                                         # 
#        This will show you all of your libraries and their numbers.                                                     #
#                                                                                                                        #
# The idea is that you should schedule this in a cron job. Here is my example of how I scheduled my script.              #
#                                                                                                                        #
# */5 * * * *  ManuallyScanPlexLibrary.sh >> statuslog 2>> errorlog                                                      #
##########################################################################################################################

## These exports are important. Don't forget them.
export LD_LIBRARY_PATH="/usr/lib/plexmediaserver"
LANG="en_US.UTF-8"
export PLEX_MEDIA_SERVER_MAX_PLUGIN_PROCS="6"
export PLEX_MEDIA_SERVER_TMPDIR="/tmp"
export PLEX_MEDIA_SERVER_HOME="/usr/lib/plexmediaserver"
export PLEX_MEDIA_SERVER_APPLICATION_SUPPORT_DIR="/var/lib/plexmediaserver/Library/Application Support"

## Plex library number, my example is 2, yours will be different ##
## Can get this by running /usr/bin/plexmediaserver/Plex\ Media\ Scanner --list  ##
PLEXLIBNUM="1"

## This will scan for new media, then perform a refresh which will 
## update all the metadata associated with the media. 
/usr/lib/plexmediaserver/Plex\ Media\ Scanner -s -r -c "${PLEXLIBNUM}"
